"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const core_1 = require("@checkup/core");
class EslintDisableTaskResult extends core_1.BaseTaskResult {
    process(data) {
        this.data = data;
        this.actionList = new core_1.ActionList([
            {
                name: 'num-eslint-disables',
                threshold: 2,
                value: this.data.esLintDisables.results.length,
                get enabled() {
                    return this.value > this.threshold;
                },
                get message() {
                    return `There are ${this.value} instances of 'eslint-disable', there should be at most ${this.threshold}.`;
                },
            },
        ], this.config);
    }
    toConsole() {
        core_1.ui.log(`eslint-disable Usages Found: ${this.data.esLintDisables.results.length}`);
    }
    toJson() {
        return {
            meta: this.meta,
            result: {
                eslintDisables: this.data.esLintDisables.results,
                fileErrors: this.data.esLintDisables.errors,
            },
        };
    }
}
exports.default = EslintDisableTaskResult;
//# sourceMappingURL=eslint-disable-task-result.js.map