"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const npmCheck = require("npm-check");
const core_1 = require("@checkup/core");
const outdated_dependencies_task_result_1 = require("../results/outdated-dependencies-task-result");
async function getDependencies(path) {
    let result;
    let packages;
    try {
        result = await npmCheck({ cwd: path });
    }
    catch (_a) {
        throw new Error('Could not check project dependencies');
    }
    packages = result.get('packages');
    return packages;
}
class OutdatedDependenciesTask extends core_1.BaseTask {
    constructor() {
        super(...arguments);
        this.meta = {
            taskName: 'outdated-dependencies',
            friendlyTaskName: 'Outdated Dependencies',
            taskClassification: {
                category: 'dependencies',
            },
        };
    }
    async run() {
        let result = new outdated_dependencies_task_result_1.default(this.meta, this.config);
        result.process({ dependencies: await getDependencies(this.context.cliFlags.cwd) });
        return result;
    }
}
exports.default = OutdatedDependenciesTask;
//# sourceMappingURL=outdated-dependencies-task.js.map